org.apache.myfaces.trinidad.component

## Class UIXColumn

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXColumn

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    CoreColumn

      public class UIXColumn
      extends UIXComponentBase

  This is base abstraction for column.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static String` | `FOOTER_FACET`
    `static String` | `HEADER_FACET`
    `static PropertyKey` | `SORT_PROPERTY_KEY`
    `static String` | `SORT_STRENGTH_IDENTICAL`
    `static PropertyKey` | `SORT_STRENGTH_KEY`
    `static String` | `SORT_STRENGTH_PRIMARY`
    `static String` | `SORT_STRENGTH_SECONDARY`
    `static String` | `SORT_STRENGTH_TERTIARY`
    `static FacesBean.Type` | `TYPE`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `UIXColumn()` Construct an instance of the UIXColumn.
    `protected` | `UIXColumn(String rendererType)` Construct an instance of the UIXColumn.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FacesBean.Type` | `getBeanType()`
    `String` | `getFamily()`
    `javax.faces.component.UIComponent` | `getFooter()` the node to render as this column's footer.
    `javax.faces.component.UIComponent` | `getHeader()` the node to use to render this column's header.
    `String` | `getSortProperty()` Gets The property that is displayed by this Column.
    `String` | `getSortStrength()` Gets The sorting strength for this column.
    `void` | `processDecodes(javax.faces.context.FacesContext context)` Does not process the facets of this column.
    `void` | `processUpdates(javax.faces.context.FacesContext context)` Does not process the facets of this column.
    `void` | `processValidators(javax.faces.context.FacesContext context)` Does not process the facets of this column.
    `void` | `setFooter(javax.faces.component.UIComponent footerFacet)` the node to render as this column's footer.
    `void` | `setHeader(javax.faces.component.UIComponent headerFacet)` the node to use to render this column's header.
    `protected void` | `setPartialTarget(javax.faces.context.FacesContext facesContext, PartialPageContext partialContext)` When the column is being PPR-ed, we have to PPR the entire table Note that this will work for the nested columns too because the parent column's setPartialTarget() will in turn delegate to the table
    `void` | `setSortProperty(String sortProperty)` Sets The property that is displayed by this Column.
    `void` | `setSortStrength(String sortStrength)` Sets The sorting strength for this column.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addClientBehavior, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientBehaviors, getClientId, getComponentChangeFilters, getContainerClientId, getDefaultEventName, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, queueEvent, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SORT_STRENGTH_PRIMARY

          public static final String SORT_STRENGTH_PRIMARY

      See Also:
        Constant Field Values

    - #### SORT_STRENGTH_SECONDARY

          public static final String SORT_STRENGTH_SECONDARY

      See Also:
        Constant Field Values

    - #### SORT_STRENGTH_TERTIARY

          public static final String SORT_STRENGTH_TERTIARY

      See Also:
        Constant Field Values

    - #### SORT_STRENGTH_IDENTICAL

          public static final String SORT_STRENGTH_IDENTICAL

      See Also:
        Constant Field Values

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### SORT_PROPERTY_KEY

          public static final PropertyKey SORT_PROPERTY_KEY

    - #### SORT_STRENGTH_KEY

          public static final PropertyKey SORT_STRENGTH_KEY

    - #### HEADER_FACET

          public static final String HEADER_FACET

      See Also:
        Constant Field Values

    - #### FOOTER_FACET

          public static final String FOOTER_FACET

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIXColumn

          public UIXColumn()

      Construct an instance of the UIXColumn.

    - #### UIXColumn

          protected UIXColumn(String rendererType)

      Construct an instance of the UIXColumn.

  - ### Method Detail

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext context)

      Does not process the facets of this column. Only this column and its children are processed.
      Overrides:
        `processDecodes` in class `UIXComponentBase`

    - #### processValidators

          public void processValidators(javax.faces.context.FacesContext context)

      Does not process the facets of this column. Only this column and its children are processed.
      Overrides:
        `processValidators` in class `UIXComponentBase`

    - #### processUpdates

          public void processUpdates(javax.faces.context.FacesContext context)

      Does not process the facets of this column. Only this column and its children are processed.
      Overrides:
        `processUpdates` in class `UIXComponentBase`

    - #### setPartialTarget

          protected void setPartialTarget(javax.faces.context.FacesContext facesContext,
                              PartialPageContext partialContext)

      When the column is being PPR-ed, we have to PPR the entire table Note that this will work for the nested columns too because the parent column's setPartialTarget() will in turn delegate to the table
      Overrides:
        `setPartialTarget` in class `UIXComponent`
      Parameters:
        `facesContext` - the faces context
        `partialContext` - the partial page context

    - #### getHeader

          public final javax.faces.component.UIComponent getHeader()

      the node to use to render this column's header.

    - #### setHeader

          public final void setHeader(javax.faces.component.UIComponent headerFacet)

      the node to use to render this column's header.

    - #### getFooter

          public final javax.faces.component.UIComponent getFooter()

      the node to render as this column's footer.

    - #### setFooter

          public final void setFooter(javax.faces.component.UIComponent footerFacet)

      the node to render as this column's footer.

    - #### getSortProperty

          public final String getSortProperty()

      Gets The property that is displayed by this Column. This is the property that the framework might use to (for example) sort the Table's data.
      Returns:
        the new sortProperty value

    - #### setSortProperty

          public final void setSortProperty(String sortProperty)

      Sets The property that is displayed by this Column. This is the property that the framework might use to (for example) sort the Table's data.
      Parameters:
        `sortProperty` - the new sortProperty value

    - #### getSortStrength

          public final String getSortStrength()

      Gets The sorting strength for this column. It controls how this column should be sorted, what level of difference considered significant during comparison. Currently the values supported are: "Primary", "Secondary", "Tertiary" and "Identical". Default value is "Identical".
      Returns:
        the new sortStrength value

    - #### setSortStrength

          public final void setSortStrength(String sortStrength)

      Sets The sorting strength for this column. It controls how this column should be sorted, what level of difference considered significant during comparison. Currently the values supported are: "Primary", "Secondary", "Tertiary" and "Identical". Default value is "Identical".
      Parameters:
        `sortStrength` - the new sortStrength value

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `UIXComponentBase`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXComponentBase`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.